package ex11;

import ch.usi.dag.disl.annotation.GuardMethod;
import ch.usi.dag.disl.staticcontext.MethodStaticContext;

public class IsDynamicTargetGuard {
    @GuardMethod
    public static boolean guard(final MethodStaticContext msc) {
        return !msc.isMethodConstructor() && !msc.isMethodPrivate() && !msc.isMethodStatic();
    }
}
